## org.eclipse.jet.taglib
Interface TagLibraryReference

    public interface TagLibraryReference

Represent a reference to a tag library by a template or a transform.

Method Summary
`java.lang.String` `getPrefix()` Return the prefix that is mapped to the tag library.
`TagLibrary` `getTagLibrary()` Return the TagLibrary description object.
`java.lang.String` `getTagLibraryId()` Return the tag library id.
`boolean` `isAutoImport()` Test whether the tag library is automatically imported bundle templates.

Method Detail

### getPrefix

    java.lang.String getPrefix()

  Return the prefix that is mapped to the tag library.

  Returns:
    a string

### getTagLibraryId

    java.lang.String getTagLibraryId()

  Return the tag library id.

  Returns:
    a string

### getTagLibrary

    TagLibrary getTagLibrary()

  Return the TagLibrary description object.

  Returns:
    an TagLibrary instance

### isAutoImport

    boolean isAutoImport()

  Test whether the tag library is automatically imported bundle templates.

  Returns:
    `true` if the library is an auto imported library.

Copyright 2006 IBM Corporation and others. All Rights Reserved.